#ifndef _CARDAPPZ_PURSE_H_
#define _CARDAPPZ_PURSE_H_

#include "cardappz_types.h"
#include "cardappz_cards.h"

extern unsigned char PURSE_MASTER_KEY0[16];
extern unsigned char PURSE_MASTER_KEY1[16];

int DisplayPurse(CARDAPPZ_CTX_ST *ctx);

int SelectPurse(CARDAPPZ_CTX_ST *ctx);
int ReadPurseBalance(CARDAPPZ_CTX_ST *ctx, unsigned long *Balance);
int ReadPurseReloadEvent(CARDAPPZ_CTX_ST *ctx, int Index, PURSE_RELOAD_ST *ReloadEntry);
int ReadPursePurchaseEvent(CARDAPPZ_CTX_ST *ctx, int Index, PURSE_PURCHASE_ST *PurchaseEntry);
int DebitPurse(CARDAPPZ_CTX_ST *ctx, PURSE_PURCHASE_ST *PurchaseEntry);
int ReloadPurse(CARDAPPZ_CTX_ST *ctx, PURSE_RELOAD_ST *ReloadEntry);


#endif
